

const require_rolldown_runtime = require('../../../_virtual/rolldown_runtime.js');
let zod = require("zod");

//#region src/modules/kms/cose/algorithm.ts
const KnownCoseSignatureAlgorithms = {
	Ed25519: -19,
	Ed448: -53,
	EdDSA: -19,
	ESP256: -9,
	ESP384: -51,
	ESP512: -52,
	ES256K: -47,
	RS256: -257,
	RS384: -258,
	RS512: -259,
	PS256: -37,
	PS384: -38,
	PS512: -39
};
const zKnownCoseSignatureAlgorithm = zod.z.enum(KnownCoseSignatureAlgorithms);

//#endregion
exports.KnownCoseSignatureAlgorithms = KnownCoseSignatureAlgorithms;